Bug 868683 - [abrt] Zim-0.56-3.fc17: pageindex.py:361:get_indexpath:AttributeError: 'NoneType' object has no attribute 'indexpath'
[abrt] Zim-0.56-3.fc17: pageindex.py:361:get_indexpath:AttributeError: 'NoneT...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:17d2f4ad970becb4d06efb89a26...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-21 14:01 EDT by Chris Miller
Modified: 2012-12-25 23:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-25 23:50:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (353 bytes, text/plain)
2012-10-21 14:01 EDT, Chris Miller
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1069600 None None None 2012-10-21 23:07:30 EDT

  None (edit)
Description Chris Miller 2012-10-21 14:01:56 EDT
Version-Release number of selected component:
Zim-0.56-3.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        /usr/bin/python /usr/bin/zim
kernel:         3.6.1-1.fc17.i686.PAE

backtrace:
:pageindex.py:361:get_indexpath:AttributeError: 'NoneType' object has no attribute 'indexpath'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/zim/gui/pageindex.py", line 541, in do_row_activated
:    path = model.get_indexpath(iter)
:  File "/usr/lib/python2.7/site-packages/zim/plugins/tags.py", line 556, in get_indexpath
:    filtermodel.convert_iter_to_child_iter(treeiter) )
:  File "/usr/lib/python2.7/site-packages/zim/gui/pageindex.py", line 361, in get_indexpath
:    return iter.indexpath
:AttributeError: 'NoneType' object has no attribute 'indexpath'
:
:Local variables in innermost frame:
:treeiter: <GtkTreeIter at 0x9bf0920>
:self: <TaggedPageTreeStore object at 0x9a2b2fc (zim+gui+pageindex+PageTreeStore at 0x99a6430)>
:iter: None
Comment 1 Chris Miller 2012-10-21 14:01:58 EDT
Created attachment 630946 [details]
File: core_backtrace
Comment 2 Fedora Update System 2012-12-17 00:48:12 EST
Zim-0.58-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/Zim-0.58-1.fc17
Comment 3 Fedora Update System 2012-12-17 21:34:56 EST
Package Zim-0.58-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing Zim-0.58-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20539/Zim-0.58-1.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-25 23:50:45 EST
Zim-0.58-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.